package com.example

import com.example.data.database.DatabaseSettings
import com.example.route.*
import io.ktor.server.application.*
import io.ktor.server.routing.*

fun main(args: Array<String>) {
    io.ktor.server.netty.EngineMain.main(args)
}

fun Application.module() {
    DatabaseSettings.initialize()
    configureSerialization()
    configureSecurity()
    configureStatusPage()
    routing {
        userRoute()
        cartRoute()
        saleRoute()
        orderRoute()
        furnitureRoute()
        shopCategoryRoute()
        categoryRoute()
        wishlistRoute()
    }
}
