package com.example.data.database.tables

import org.jetbrains.exposed.v1.core.Table

object FurnitureTable: Table("furniture") {
    val id = long("furniture_id").autoIncrement()
    val name = text("furniture_name")
    val description = text("furniture_description")
    val category = reference("furniture_category", FurnitureCategory.id)
    val price = decimal("furniture_price", 17, 2)
    val sale = decimal("furniture_sale", 2, 2)
    val url = text("furniture_url")
    override val primaryKey = PrimaryKey(id)
}