package com.example.data.database.tables

import org.jetbrains.exposed.v1.core.Table
import org.jetbrains.exposed.v1.datetime.datetime

object OrderTable: Table("order") {
    val orderId = long("order_id").autoIncrement()
    val userUuid = reference("user_uuid", UserTable.uuid)
    val userAddress = reference("user_address_id", AddressTable.id)
    val orderDateTime = datetime("order_date_time").defaultExpression(org.jetbrains.exposed.v1.datetime.CurrentDateTime)
    val orderStatus = reference("order_status_id", OrderStatusTable.id)
    val orderTotalSum = decimal("order_total_sum", 17, 2)

    override val primaryKey: PrimaryKey = PrimaryKey(orderId)
}