package com.example.data.database.tables

import org.jetbrains.exposed.v1.core.ReferenceOption
import org.jetbrains.exposed.v1.core.Table

object ProfileTable: Table("profile") {
    val uuid = reference("user_uuid", UserTable.uuid)
    var firstName = varchar("profile_first_name", 255)
    var lastName = varchar("profile_last_name", 255)
    var imageUrl = text("profile_image").nullable()
    val address = reference("address_id", AddressTable.id, ReferenceOption.CASCADE).nullable()
    override val primaryKey: PrimaryKey = PrimaryKey(uuid)
}