package com.example.data.repository

import com.example.data.database.DatabaseSettings
import com.example.data.database.tables.FurnitureCategory
import com.example.data.database.tables.FurnitureTable
import com.example.data.database.toFurniture
import com.example.data.database.toFurnitureCategory
import com.example.dto.request.RegisterRequest
import com.example.dto.response.FurnitureCategoryResponse
import com.example.dto.response.FurnitureResponse
import org.jetbrains.exposed.v1.jdbc.Database
import org.jetbrains.exposed.v1.jdbc.selectAll

class CategoryRepository {
    suspend fun getAllCategories(): List<FurnitureCategoryResponse>  = DatabaseSettings.dbQuery {
        return@dbQuery FurnitureCategory.selectAll().map { it.toFurnitureCategory() }
    }
    suspend fun getFurnitureByCategory(categoryId: Int): List<FurnitureResponse> = DatabaseSettings.dbQuery {
        return@dbQuery (FurnitureTable innerJoin FurnitureCategory)
            .selectAll()
            .where { FurnitureTable.category eq categoryId }
            .map { it.toFurniture() }
    }
}