package com.example.dto.response

import com.example.configure.BigDecimalSerializer
import com.example.configure.UuidSerializer
import kotlinx.datetime.LocalDateTime
import kotlinx.serialization.Serializable
import java.math.BigDecimal
import java.util.*
@Serializable
data class OrderResponse(
    val id : Long,
    @Serializable(with = UuidSerializer::class)
    val userUuid : UUID,
    val addressId: Long,
    val dateTime: LocalDateTime,
    val orderStatus : OrderStatusResponse,
    @Serializable(with = BigDecimalSerializer::class)
    val orderTotalSum : BigDecimal,
    var orderSet: List<OrderItemResponse>
)