package com.example.route

import com.example.data.repository.CategoryRepository
import io.ktor.http.*
import io.ktor.server.response.*
import io.ktor.server.routing.*

fun Route.categoryRoute() {
    val categoryRepository = CategoryRepository()
    route("/category") {
        get {
            val result = categoryRepository.getAllCategories()
            call.respond(HttpStatusCode.OK, result)
        }
        get("/{id}/furniture") {
            val id = call.parameters["id"]?.toIntOrNull() ?: return@get call.respond(HttpStatusCode.BadRequest)
            val result = categoryRepository.getFurnitureByCategory(id)
            call.respond(HttpStatusCode.OK, result)
        }
    }
}