package com.example.route

import com.example.data.repository.FurnitureRepository
import io.ktor.http.*
import io.ktor.server.request.*
import io.ktor.server.response.*
import io.ktor.server.routing.*

fun Route.furnitureRoute() {
    val furnitureRepository = FurnitureRepository()
    route("/furniture") {
        get {
            val result  = furnitureRepository.getAllFurniture()
            call.respond(HttpStatusCode.OK, result)
        }
        get("{furnitureId}") {
            val furnitureId = call.pathParameters["furnitureId"]?.toLong()
            if (furnitureId == null) call.respond(HttpStatusCode.BadRequest)
           furnitureId?.let {
               try {
                   val result = furnitureRepository.getFurnitureById(it)
                   call.respond(HttpStatusCode.OK, result)
               }
              catch (e: Exception) {
                  call.respond(HttpStatusCode.NotFound)
              }
           }
        }
        get("/category/{categoryId}") {
            val categoryId = call.pathParameters["categoryId"]?.toLong()
            if (categoryId == null) call.respond(HttpStatusCode.BadRequest)
            categoryId?.let {
                val result = furnitureRepository.getFurnitureByCategory(it)
                call.respond(HttpStatusCode.OK, result)
            }

        }

    }

}