package com.example.route

import com.example.data.repository.OrderRepository
import com.example.dto.request.CreateOrderRequest
import io.ktor.http.*
import io.ktor.server.request.*
import io.ktor.server.response.*
import io.ktor.server.routing.*

fun Route.orderRoute() {
    val orderRepository = OrderRepository()
    route("/order") {
        post {
            val orderRequest = call.receive<CreateOrderRequest>()
            val result = orderRepository.createOrder(orderRequest)
            if (result) call.respond(HttpStatusCode.Created) else call.respond(HttpStatusCode.Conflict)
        }
    }
}