package com.example.route

import com.example.data.repository.ShopCategoryRepository
import io.ktor.http.*
import io.ktor.http.content.*
import io.ktor.server.response.*
import io.ktor.server.routing.*

fun Route.shopCategoryRoute() {
    val categoryRepository = ShopCategoryRepository()
    route("/shop_category") {
        get {
            val result = categoryRepository.getAllShopCategory()
            call.respond(HttpStatusCode.OK, result)
        }
        get("/{shopCategoryId}/furniture") {
            val shopCategoryId = call.pathParameters["shopCategoryId"]?.toLong()
            if (shopCategoryId == null) call.respond(HttpStatusCode.BadRequest)
            shopCategoryId?.let {
                val result = categoryRepository.getFurnitureByShopCategory(it)
                call.respond(HttpStatusCode.OK, result)
            }
        }
    }
}