package com.example.route

import com.example.data.repository.WishlistRepository
import com.example.dto.request.AddToWishlistRequest
import com.example.dto.request.RemoveFromWishlistRequest
import io.ktor.http.*
import io.ktor.server.request.*
import io.ktor.server.response.*
import io.ktor.server.routing.*

fun Route.wishlistRoute(){
    val wishlistRepository = WishlistRepository()
    route("/wishlist"){
        post {
            val addToWishlistRequest = call.receive<AddToWishlistRequest>()
            val result = wishlistRepository.addToWishListByUuid(addToWishlistRequest)
            if(result) call.respond(HttpStatusCode.OK) else call.respond(HttpStatusCode.NotFound)
        }
        delete {
            val removeFromWishlistRequest = call.receive<RemoveFromWishlistRequest>()
            val result = wishlistRepository.removeFromWishlistByUuid(removeFromWishlistRequest)
            if(result) call.respond(HttpStatusCode.OK) else call.respond(HttpStatusCode.NotFound)
        }
    }
}